> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get framework by ID

> Get a framework by ID.



## OpenAPI

````yaml /reference/manage-vanta.json get /frameworks/{frameworkId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /frameworks/{frameworkId}:
    get:
      tags:
        - Frameworks
      summary: Get framework by ID
      description: Get a framework by ID.
      operationId: GetFramework
      parameters:
        - in: path
          name: frameworkId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FrameworkDetail'
              examples:
                Example 1:
                  value:
                    id: soc2
                    displayName: SOC 2
                    shorthandName: SOC 2
                    description: >-
                      AICPA standardized framework to prove a company’s security
                      posture to prospective customers. For all US and
                      international businesses.
                    numControlsCompleted: 43
                    numControlsTotal: 86
                    numDocumentsPassing: 7
                    numDocumentsTotal: 16
                    numTestsPassing: 21
                    numTestsTotal: 46
                    requirementCategories:
                      - id: CC 1.0
                        name: Control Environment
                        shorthand: null
                        requirements:
                          - id: CC 1.1
                            name: ''
                            shorthand: null
                            description: >-
                              COSO Principle 1: The entity demonstrates a
                              commitment to integrity and ethical values.
                            controls:
                              - id: background-checks-performed
                                externalId: null
                                name: Personnel background checks performed
                                description: >-
                                  The company performs background checks on new
                                  personnel.
      security:
        - bearerAuth: []
components:
  schemas:
    FrameworkDetail:
      properties:
        id:
          type: string
          description: The framework's unique ID.
        displayName:
          type: string
          description: The framework's display name.
        shorthandName:
          type: string
          description: The short version of the framework's display name.
        description:
          type: string
          description: The framework's description.
        numControlsCompleted:
          type: number
          format: double
          description: The number of completed controls in the framework.
        numControlsTotal:
          type: number
          format: double
          description: The total number of controls in the framework.
        numDocumentsPassing:
          type: number
          format: double
          description: The number of passing documents in the framework.
        numDocumentsTotal:
          type: number
          format: double
          description: The total number of documents in the framework.
        numTestsPassing:
          type: number
          format: double
          description: The number of passing tests in the framework.
        numTestsTotal:
          type: number
          format: double
          description: The total number of tests in the framework.
        requirementCategories:
          items:
            $ref: '#/components/schemas/FrameworkRequirementCategory'
          type: array
          description: The famework's list of requirement categories.
      required:
        - id
        - displayName
        - shorthandName
        - description
        - numControlsCompleted
        - numControlsTotal
        - numDocumentsPassing
        - numDocumentsTotal
        - numTestsPassing
        - numTestsTotal
        - requirementCategories
      type: object
      additionalProperties: false
    FrameworkRequirementCategory:
      properties:
        id:
          type: string
          description: The framework's requiremet category unique ID.
        name:
          type: string
          description: The framework's requiremet category name.
        shorthand:
          type: string
          nullable: true
          description: The framework's short name.
        requirements:
          items:
            properties:
              controls:
                items:
                  properties:
                    description:
                      type: string
                      description: The control's description.
                    name:
                      type: string
                      description: The control's name.
                    externalId:
                      type: string
                      nullable: true
                      description: The control's external ID.
                    id:
                      type: string
                      description: The control's unique ID.
                  required:
                    - description
                    - name
                    - externalId
                    - id
                  type: object
                type: array
                description: The requirement's list of controls
              description:
                type: string
                nullable: true
                description: The requirement's description
              shorthand:
                type: string
                nullable: true
                description: The requirement's short name.
              name:
                type: string
                description: The requirement's name.
              id:
                type: string
                description: The requirement's unique ID.
            required:
              - controls
              - description
              - shorthand
              - name
              - id
            type: object
          type: array
      required:
        - id
        - name
        - shorthand
        - requirements
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````